Title Overlay Asset
curl --request POST \
--url https://api.example.com/api/v1/assets/{public_id}/title-overlay \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>",
"duration_ms": 3000,
"preset": "title",
"animation": "fade",
"primary_hex": "#ffffff",
"outline_hex": "#000000",
"font_size": 64
}
'import requests
url = "https://api.example.com/api/v1/assets/{public_id}/title-overlay"
payload = {
"text": "<string>",
"duration_ms": 3000,
"preset": "title",
"animation": "fade",
"primary_hex": "#ffffff",
"outline_hex": "#000000",
"font_size": 64
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
text: '<string>',
duration_ms: 3000,
preset: 'title',
animation: 'fade',
primary_hex: '#ffffff',
outline_hex: '#000000',
font_size: 64
})
};
fetch('https://api.example.com/api/v1/assets/{public_id}/title-overlay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}media
Title Overlay Asset
GEN-5 part 2 / #123 — burn an on-screen title/hook overlay (from suggest_titles or typed)
onto the first duration_ms. Gated on creator_ai. Returns a job_id; a new “_titled.mp4”
asset appears on success.
POST
/
api
/
v1
/
assets
/
{public_id}
/
title-overlay
Title Overlay Asset
Path Parameters
Body
application/json
Response
Successful Response
The response is of type Response Title Overlay Asset Api V1 Assets Public Id Title Overlay Post · object.
⌘I